Test::Set::SetRelTypes Class Reference

Iterator for set relation types. More...

`#include <set.hh>`

## Public Member Functions

| SetRelTypes (void)
| Initialize iterator.
bool | operator() (void) const
| Test whether iterator is done.
void | operator++ (void)
| Increment to next relation type.
Gecode::SetRelType | srt (void) const
| Return current relation type.

## Detailed Description

Iterator for set relation types.

Definition at line 334 of file set.hh.

## Constructor & Destructor Documentation

## SetRelTypes()

Test::Set::SetRelTypes::SetRelTypes | ( | void |  | ) |

inline

Initialize iterator.

Definition at line 84 of file set.hpp.

## Member Function Documentation

## operator()()

bool Test::Set::SetRelTypes::operator() | ( | void |  | ) | const

inline

Test whether iterator is done.

Definition at line 87 of file set.hpp.

## operator++()

void Test::Set::SetRelTypes::operator++ | ( | void |  | ) |

inline

Increment to next relation type.

Definition at line 91 of file set.hpp.

## srt()

Gecode::SetRelType Test::Set::SetRelTypes::srt | ( | void |  | ) | const

inline

Return current relation type.

Definition at line 95 of file set.hpp.

The documentation for this class was generated from the following files:

- test/set.hh
- test/set.cpp
- test/set.hpp